apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: nginx-horizontal-demo
spec:
  maxReplicas: 5
  minReplicas: 1
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: nginx-horizontal-demo
  targetCPUUtilizationPercentage: 20
